<?php
    $policyPages = getContent('policy_pages.element', false, null, true);
    $content = getContent('register.content', true);
?>

<?php $__env->startSection('panel'); ?>
    <section class="account bg-img" data-background-image="<?php echo e(getImage('assets/images/frontend/register/' . @$content->data_values->image, '1235x980')); ?>">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-8 col-md-10">
                    <div class="account-form">
                        <div class="account-form__logo text-center">
                            <a href="<?php echo e(route('home')); ?>"><img src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('image'); ?>"></a>
                        </div>
                        <h4 class="account-form__title"> <?php echo e(__(@$content->data_values->title)); ?> </h4>
                        <form class="verify-gcaptcha" action="<?php echo e(route('user.register')); ?>" method="POST" autocomplete="off">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <?php if(session()->get('reference') != null): ?>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Referrer'); ?></label>
                                            <div class="position-relative">
                                                <input class="form--control" name="referBy" type="text" value="<?php echo e(session()->get('reference')); ?>" required>
                                                <span class="input-icon"><i class="fa fa-user-friends"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="Username"><?php echo app('translator')->get('Username'); ?></label>
                                        <div class="position-relative">
                                            <input class="form--control checkUser" id="Username" name="username" type="text" value="<?php echo e(old('username')); ?>" required>
                                            <span class="input-icon"><i class="far fa-user"></i></span>
                                        </div>
                                        <small class="text-danger usernameExist"></small>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="email"><?php echo app('translator')->get('Email Address'); ?></label>
                                        <div class="position-relative">
                                            <input class="form--control checkUser" id="email" name="email" type="text" value="<?php echo e(old('email')); ?>" required>
                                            <span class="input-icon"><i class="far fa-envelope"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="country"><?php echo app('translator')->get('Country'); ?></label>
                                        <div class="position-relative">
                                            <select class="select form--control" id="mySelect" name="country">
                                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option data-mobile_code="<?php echo e($country->dial_code); ?>" data-code="<?php echo e($key); ?>" value="<?php echo e($country->country); ?>"><?php echo e(__($country->country)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <span class="input-icon"><i class="far fa-envelope"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="phone"><?php echo app('translator')->get('Mobile Number'); ?></label>
                                        <div class="select-phone">
                                            <div class="input-group">
                                                <div class="input-group-text p-0">
                                                    <span class="input-group-text mobile-code select"></span>
                                                    <span class="input-icon"><span class="icon-phone-fill"></span></span>
                                                    <input name="mobile_code" type="hidden">
                                                    <input name="country_code" type="hidden">
                                                </div>
                                                <input class="form-control form--control checkUser ps-0" name="mobile" type="number" value="<?php echo e(old('mobile')); ?>" required>
                                            </div>
                                        </div>
                                        <small class="text-danger mobileExist"></small>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="your-password"><?php echo app('translator')->get('Password'); ?></label>
                                        <div class="position-relative">
                                            <input class="form-control form--control <?php if($general->secure_password): ?> secure-password <?php endif; ?>" id="your-password" name="password" type="password" required>
                                            <span class="input-icon"><span class="icon-Lock"></span></span>
                                            <span class="password-show-hide icon-eye toggle-password icon-eye-off" id="#your-password"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form--label" for="confirm-password"><?php echo app('translator')->get('Confirm Password'); ?></label>
                                        <div class="position-relative">
                                            <input class="form-control form--control" id="confirm-password" name="password_confirmation" type="password" required>
                                            <span class="input-icon"><span class="icon-Lock"></span></span>
                                            <span class="password-show-hide icon-eye toggle-password icon-eye-off" id="#confirm-password"></span>
                                        </div>
                                    </div>
                                </div>
                                <?php if (isset($component)) { $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243)): ?>
<?php $component = $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243; ?>
<?php unset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243); ?>
<?php endif; ?>

                                <?php if($general->agree): ?>
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <div class="form--check">
                                                <input class="form-check-input" id="remember" name="agree" type="checkbox" required>
                                                <div class="form-check-label">
                                                    <label for="remember"><?php echo app('translator')->get('I agree with the'); ?></label>
                                                    <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <a class="text--base" href="<?php echo e(route('policy.pages', [slug($policy->data_values->title), $policy->id])); ?>" target="_blank"><?php echo app('translator')->get($policy->data_values->title); ?> </a>
                                                        <?php if(!$loop->last): ?>
                                                            ,
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <button class="btn btn-outline--base w-100" type="submit"> <span class="text--gradient"><?php echo app('translator')->get('Submit'); ?></span> </button>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="have-account text-center">
                                        <p class="have-account__text"><?php echo app('translator')->get('Already Have An Account'); ?>? <a class="have-account__link text--gradient fw-bold" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login Now'); ?></a></p>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="modal fade custom--modal" id="existModalCenter" role="dialog" aria-labelledby="existModalCenterTitle" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="existModalLongTitle"><?php echo app('translator')->get('You are with us'); ?></h5>
                    <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h6 class="mb-0 text-center"><?php echo app('translator')->get('You already have an account. Please Login. '); ?></h6>
                </div>
                <div class="modal-footer">
                    <button class="btn btn--danger btn--sm" data-bs-dismiss="modal" type="button"><?php echo app('translator')->get('Close'); ?></button>
                    <a class="btn btn--base btn--sm" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php if($general->secure_password): ?>
    <?php $__env->startPush('script-lib'); ?>
        <script src="<?php echo e(asset('assets/global/js/secure_password.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php endif; ?>
<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            <?php if($mobileCode): ?>
                $(`option[data-code=<?php echo e($mobileCode); ?>]`).attr('selected', '');
            <?php endif; ?>

            $('select[name=country]').change(function() {
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            });
            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            <?php if($general->secure_password): ?>
                $('input[name=password]').on('input', function() {
                    secure_password($(this));
                });

                $('[name=password]').focus(function() {
                    $(this).closest('.input-group').addClass('hover-input-popup');
                });

                $('[name=password]').focusout(function() {
                    $(this).closest('.input-group').removeClass('hover-input-popup');
                });
            <?php endif; ?>

            $('.checkUser').on('focusout', function(e) {
                var url = '<?php echo e(route('user.checkUser')); ?>';
                var value = $(this).val();
                var token = '<?php echo e(csrf_token()); ?>';

                if ($(this).attr('name') == 'mobile') {
                    var mobile = `${$('.mobile-code').text().substr(1)}${value}`;
                    var data = {
                        mobile: mobile,
                        _token: token
                    }
                }

                if ($(this).attr('name') == 'email') {
                    var data = {
                        email: value,
                        _token: token
                    }
                }

                if ($(this).attr('name') == 'username') {
                    var data = {
                        username: value,
                        _token: token
                    }
                }

                $.post(url, data, function(response) {
                    if (response.data != false && response.type == 'email') {
                        $('#existModalCenter').modal('show');
                    } else if (response.data != false) {
                        $(`.${response.type}Exist`).text(`${response.type} already exist`);
                    } else {
                        $(`.${response.type}Exist`).text('');
                    }
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/user/auth/register.blade.php ENDPATH**/ ?>