<?php $__env->startSection('content'); ?>
    <div class="row d-flex justify-content-center flex-wrap gy-4">
        <?php if($userCoinBalances->count()): ?>
            <?php $__currentLoopData = $userCoinBalances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4">
                    <div class="wallet-card">
                        <div class="wallet-item flex-wrap">
                            <button class="updateBtn" data-id="<?php echo e($item->id); ?>" data-title="<?php echo e(strtoupper($item->miner->coin_code)); ?>" data-wallet="<?php echo e($item->wallet); ?>">
                                <i class="las la-edit"></i>
                            </button>
                            <div class="wallet-item__thumb">
                                <img src="<?php echo e(getImage(getFilePath('miner') . '/' . $item->miner->coin_image, getFileSize('miner'))); ?>" class="fit-image" alt="<?php echo app('translator')->get('image'); ?>">
                            </div>
                            <div class="wallet-item__content">
                                <div class="wallet-item__info">
                                    <h5 class="wallet-item__name"><?php echo e(strtoupper($item->miner->coin_code)); ?> <?php echo app('translator')->get('Wallet'); ?></h5>
                                    <strong class="wallet-item__designation fs-14"> <?php echo e(showAmount($item->balance, 8, exceptZeros: true)); ?> <?php echo e(strtoupper($item->miner->coin_code)); ?></strong>
                                </div>
                                <div class="wallet-item__info">
                                    <h5 class="wallet-item__name"><?php echo app('translator')->get('Wallet Address'); ?></h5>
                                    <span class="wallet-item__designation fs-14">
                                        <?php if($item->wallet): ?>
                                            <?php echo e($item->wallet); ?>

                                        <?php else: ?>
                                            <?php echo app('translator')->get('No address provided yet'); ?>
                                        <?php endif; ?>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php else: ?>
            <div class="card custom--card">
                <div class="card-body">
                    <h4 class="text-danger text-center mb-0"><?php echo app('translator')->get('You have no wallet yet, please buy some plan first'); ?></h4>
                </div>
            </div>
        <?php endif; ?>
    </div>

    <div class="modal custom--modal fade" id="walletAddressModal" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Update Wallet - '); ?> <span class="addressTitle"></span></h5>
                    <button aria-label="Close" class="close" data-bs-dismiss="modal" type="button">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <label class="form-label" for="wallet"><?php echo app('translator')->get('Wallet'); ?></label>
                            <input class="form--control" id="wallet" name="wallet" placeholder="<?php echo app('translator')->get('Enter wallet Address'); ?>" required type="text" value="">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn--base w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($) {
            $('.updateBtn').on('click', function() {
                let modal = $('#walletAddressModal');
                let data = $(this).data();

                modal.find('.addressTitle').text(data.title);
                modal.find('form').attr('action', `<?php echo e(route('user.wallet.update', '')); ?>/${data.id}`);
                modal.find('[name=wallet]').val(data.wallet);
                modal.modal('show');
            });
        })(jQuery)
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/user/wallets.blade.php ENDPATH**/ ?>