<?php
    $footerCaption = getContent('footer.content', true);
    $contactCaption = getContent('contact_us.content', true);
    $pages = App\Models\Page::where('is_default', Status::NO)
        ->where('tempname', $activeTemplate)
        ->get();
    $policyPages = getContent('policy_pages.element', false, null, true);
    $socialElement = getContent('social_icon.element', false, null, true);
?>

<footer class="footer-area">
    <div class="pb-60 pt-120">
        <div class="container">
            <div class="footer-item-wrapper flex-wrap">
                <div class="footer-item">
                    <div class="footer-item__logo">
                        <a href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                        </a>
                    </div>
                    <p class="footer-item__desc">DJMiner Hosting is global cryptocurrency mining platforms, offering cryptocurrency mining capacities in every range - for newcomers. We make acquiring cryptocurrencies easy and fast for everyone.</p>
                </div>
                <div class="footer-item">
                    <h4 class="footer-item__title"><?php echo app('translator')->get('Quick Link'); ?></h4>
                    <ul class="footer-menu">
                        <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="footer-menu__item"><a href="<?php echo e(route('pages', ['slug' => $item->slug])); ?>" class="footer-menu__link"><?php echo e(__($item->name)); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <li class="footer-menu__item"><a href="<?php echo e(route('plans')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Plans'); ?> </a></li>
                        <li class="footer-menu__item"><a href="<?php echo e(route('blog')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Blog'); ?></a></li>
                        <li class="footer-menu__item"><a href="<?php echo e(route('contact')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Contact'); ?></a></li>
                    </ul>
                </div>
                <div class="footer-item">
                    <h4 class="footer-item__title"><?php echo app('translator')->get('Useful Links'); ?></h4>
                    <ul class="footer-menu">
                        <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="footer-menu__item"><a href="<?php echo e(route('policy.pages', [slug($page->data_values->title), $page->id])); ?>" class="footer-menu__link"><?php echo e(__($page->data_values->title)); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="footer-item">
                    <h4 class="footer-item__title"><?php echo app('translator')->get('Contact Info'); ?></h4>
                    <ul class="footer-contact-menu">
                        <li class="footer-contact-menu__item">
                            <span class="icon before-shadow shadow-right flex-center fs-15">
                                <i class="fas fa-map-marker-alt"></i>
                            </span>
                            <div class="content">
                                <span class="text">Address: F, Tower, China Hong Kong City
Block 3, Unit A1, 16, 33 Canton Rd, Tsim Sha
Tsui, Hong Kong</span>
                            </div>
                        </li>
                        <li class="footer-contact-menu__item">
                            <span class="icon before-shadow shadow-right flex-center fs-15">
                                <i class="fas fa-envelope"></i>
                            </span>
                            <div class="content">
                                <a href="mailto:info@djminerhosting.com" class="text">info@djminerhosting.com</a>
                            </div>
                        </li>
                        <!--<li class="footer-contact-menu__item">-->
                        <!--    <span class="icon before-shadow shadow-right flex-center fs-15">-->
                        <!--        <i class="fas fa-phone"></i>-->
                        <!--    </span>-->
                        <!--    <div class="content">-->
                        <!--        <a href="tel:+852 9551 0175" class="text">+852 9551 0175</a>-->
                        <!--    </div>-->
                        <!--</li>-->
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer Top End-->

    <!-- bottom Footer -->
    <div class="bottom-footer section-bg">
        <div class="container">
            <div class="flex-between gap-3">
                <ul class="social-list">
                    <?php $__currentLoopData = $socialElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="social-list__item">
                            <a href="<?php echo e(@$social->data_values->url); ?>" class="social-list__link flex-center">
                                <?php
                                    echo @$social->data_values->social_icon;
                                ?>
                            </a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
                <p class="bottom-footer__text fs-18"> &copy; <?php echo app('translator')->get('Copyright'); ?> <?php echo e(date('Y')); ?> . <?php echo app('translator')->get('DJMiner Hosting | All rights reserved'); ?>.</p>
            </div>
        </div>
    </div>
</footer>
<?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/partials/footer.blade.php ENDPATH**/ ?>