<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card custom--card">
                <div class="card-body">
                    <form action="<?php echo e(route('ticket.store')); ?>" enctype="multipart/form-data" method="post" onsubmit="return submitUserForm();">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="form-group">
                                <label class="form--label"><?php echo app('translator')->get('Subject'); ?></label>
                                <input class="form--control" name="subject" required type="text" value="<?php echo e(old('subject')); ?>">
                            </div>
                            <div class="form-group">
                                <label class="form--label"><?php echo app('translator')->get('Priority'); ?></label>
                                <select class="select form--control" name="priority" required>
                                    <option <?php if(old('priority' == 3)): echo 'selected'; endif; ?> value="3"><?php echo app('translator')->get('High'); ?></option>
                                    <option <?php if(old('priority' == 2)): echo 'selected'; endif; ?> value="2"><?php echo app('translator')->get('Medium'); ?></option>
                                    <option <?php if(old('priority' == 1)): echo 'selected'; endif; ?> value="1"><?php echo app('translator')->get('Low'); ?></option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form--label"><?php echo app('translator')->get('Message'); ?></label>
                                <textarea class="form--control" id="inputMessage" name="message" required rows="6"><?php echo e(old('message')); ?></textarea>
                            </div>
                            <div class="text-end">
                                <button class="btn btn--base btn--sm addFile" type="button">
                                    <i class="fa fa-plus"></i> <?php echo app('translator')->get('Add New'); ?>
                                </button>
                            </div>
                            <div class="form-group">
                                <div class="file-upload">
                                    <label class="form--label"><?php echo app('translator')->get('Attachments'); ?> <small class="text-danger"><?php echo app('translator')->get('Max 5 files can be uploaded'); ?>. <?php echo app('translator')->get('Maximum upload size is'); ?> <?php echo e(ini_get('upload_max_filesize')); ?></small> </label>
                                    <input accept=".png, .jpg, .jpeg,.pdf,.doc,.docx" class="form-control form--control mb-2" id="inputAttachments" name="attachments[]" type="file" />
                                    <div id="fileUploadsContainer" class="mt-3"></div>
                                    <p class="ticket-attachments-message text-muted">
                                        <?php echo app('translator')->get('Allowed File Extensions'); ?>: .<?php echo app('translator')->get('jpg'); ?>, .<?php echo app('translator')->get('jpeg'); ?>, .<?php echo app('translator')->get('png'); ?>, .<?php echo app('translator')->get('pdf'); ?>, .<?php echo app('translator')->get('doc'); ?>, .<?php echo app('translator')->get('docx'); ?>
                                    </p>
                                </div>

                            </div>
                            <div>
                                <button class="btn btn--base w-100" id="recaptcha" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            var fileAdded = 0;
            $('.addFile').on('click', function() {
                if (fileAdded >= 4) {
                    notify('error', 'You\'ve added maximum number of file');
                    return false;
                }
                fileAdded++;
                $("#fileUploadsContainer").append(`
                    <div class="form-group">
                        <div class="input-group">
                            <input type="file" name="attachments[]" class="form-control form--control" required accept=".png, .jpg, .jpeg,.pdf,.doc,.docx"/>
                            <button class="input-group-text btn btn--danger btn--sm remove-btn"><i class="las la-times"></i></button>
                        </div>    
                    </div>
                `)
            });
            $(document).on('click', '.remove-btn', function() {
                fileAdded--;
                $(this).closest('.input-group').remove();
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/user/support/create.blade.php ENDPATH**/ ?>