<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="d-sm-flex justify-content-end d-block mb-3">
                <form action="">
                    <div class="input-group">
                        <input class="form-control form--control" name="search" type="text" value="<?php echo e(request()->search); ?>" placeholder="<?php echo app('translator')->get('Search by transactions'); ?>">
                        <button class="input-group-text btn btn--base" type="submit">
                            <i class="las la-search"></i>
                        </button>
                    </div>
                </form>
            </div>

            <table class="table--responsive--md table">
                <thead>
                    <tr>
                        <th><?php echo app('translator')->get('Gateway | Transaction'); ?></th>
                        <th class="text-center"><?php echo app('translator')->get('Initiated'); ?></th>
                        <th class="text-center"><?php echo app('translator')->get('Amount'); ?></th>
                        <th class="text-center"><?php echo app('translator')->get('Conversion'); ?></th>
                        <th class="text-center"><?php echo app('translator')->get('Status'); ?></th>
                        <th><?php echo app('translator')->get('Details'); ?></th>
                    </tr>
                </thead>
                <tbody>

                    <?php $__empty_1 = true; $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td>
                                <div class="fw-bold">
                                    <span class="text-primary d-block"><?php echo e(__($deposit->gateway?->name)); ?></span>
                                    <small> <?php echo e($deposit->trx); ?> </small>
                                </div>
                            </td>

                            <td class="text-center">
                                <div>
                                    <small class="d-block"><?php echo e(showDateTime($deposit->created_at)); ?></small>
                                    <small><?php echo e(diffForHumans($deposit->created_at)); ?></small>
                                </div>
                            </td>

                            <td class="text-center">
                                <div>
                                    <small class="d-block"><?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($deposit->amount)); ?> + <span class="text-danger" data-bs-toggle="tooltip" title="<?php echo app('translator')->get('charge'); ?>"><?php echo e(showAmount($deposit->charge)); ?> </span></small>
                                    <small data-bs-toggle="tooltip" title="<?php echo app('translator')->get('Amount with charge'); ?>">
                                        <strong><?php echo e(showAmount($deposit->amount + $deposit->charge)); ?> <?php echo e(__($general->cur_text)); ?></strong>
                                    </small>
                                </div>
                            </td>
                            <td class="text-center">
                                <div>
                                    <small class="d-block"> 1 <?php echo e(__($general->cur_text)); ?> = <?php echo e(showAmount($deposit->rate)); ?> <?php echo e(__($deposit->method_currency)); ?></small>
                                    <strong><?php echo e(showAmount($deposit->final_amo)); ?> <?php echo e(__($deposit->method_currency)); ?></strong>
                                </div>
                            </td>
                            <td class="text-center">
                                <?php echo $deposit->statusBadge ?>
                            </td>
                            <?php
                                $details = $deposit->detail != null ? json_encode($deposit->detail) : null;
                            ?>

                            <td>
                                <button class="btn btn--base btn--sm <?php if($deposit->method_code >= 1000): ?> detailBtn <?php endif; ?>" type="button" <?php if($deposit->method_code < 1000): ?> disabled <?php endif; ?> <?php if($deposit->method_code >= 1000): ?> data-info="<?php echo e($details); ?>" <?php endif; ?> <?php if($deposit->status == Status::PAYMENT_REJECT): ?> data-admin_feedback="<?php echo e($deposit->admin_feedback); ?>" <?php endif; ?>>
                                    <i class="las la-desktop"></i>
                                </button>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
            <?php echo e(paginateLinks($deposits)); ?>

        </div>
    </div>

    <div class="modal custom--modal fade" id="detailModal" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Details'); ?></h5>
                    <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="list-group userData">
                    </ul>
                    <div class="feedback"></div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $('.detailBtn').on('click', function() {
                var modal = $('#detailModal');

                var userData = $(this).data('info');
                var html = '';
                if (userData) {
                    userData.forEach(element => {
                        if (element.type != 'file') {
                            html += `
                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <span>${element.name}</span>
                                <span">${element.value}</span>
                            </li>`;
                        }
                    });
                }

                modal.find('.userData').html(html);

                if ($(this).data('admin_feedback') != undefined) {
                    var adminFeedback = `
                        <div class="my-3">
                            <strong><?php echo app('translator')->get('Admin Feedback'); ?></strong>
                            <p>${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
                } else {
                    var adminFeedback = '';
                }

                modal.find('.feedback').html(adminFeedback);


                modal.modal('show');
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/user/payment_history.blade.php ENDPATH**/ ?>