<?php
    $transactionContent = getContent('transaction.content', true);
    $deposits = App\Models\Deposit::where('status', Status::PAYMENT_SUCCESS)
        ->with('user')
        ->orderBy('id', 'DESC')
        ->take(5)
        ->get();
    $withdraws = App\Models\Withdrawal::whereIn('status', [Status::PAYMENT_SUCCESS, Status::PAYMENT_PENDING])
        ->with('user', 'userCoinBalance.miner')
        ->orderBy('id', 'DESC')
        ->take(5)
        ->get();
?>

<section class="transaction py-120">
    <div class="container">
        <div class="row gy-4">
            <div class="col-lg-6">
                <h4 class="transaction__title mb-md-4 mb-3 text-center"><?php echo e(__(@$transactionContent->data_values->heading_one)); ?></h4>
                <div class="transaction__content overflow-x-auto">
                    <table class="style-two scroll-table table">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('User'); ?></th>
                                <th><?php echo app('translator')->get('Amount'); ?></th>
                                <th><?php echo app('translator')->get('Time'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <strong><?php echo e(@$deposit->user->fullname); ?> </strong>
                                    </td>
                                    <td><?php echo e(showAmount($deposit->amount)); ?> <?php echo e($general->cur_text); ?></td>
                                    <td><?php echo e(diffForHumans($deposit->created_at)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-lg-6">
                <h4 class="transaction__title mb-md-4 mb-3 text-center"><?php echo e(__(@$transactionContent->data_values->heading_two)); ?></h4>
                <div class="transaction__content overflow-x-auto">
                    <table class="style-two scroll-table table">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('User'); ?></th>
                                <th><?php echo app('translator')->get('Amount'); ?></th>
                                <th><?php echo app('translator')->get('Time'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $withdraws; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $withdraw): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <strong><?php echo e($withdraw->user->fullname); ?></strong>
                                    </td>
                                    <td><?php echo e(showAmount($withdraw->amount, 8, exceptZeros: true)); ?> <?php echo e(strtoupper(@$withdraw->userCoinBalance->miner->coin_code)); ?></td>
                                    <td><?php echo e(diffForHumans($withdraw->created_at)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/sections/transaction.blade.php ENDPATH**/ ?>