<?php
    $pages = App\Models\Page::where('is_default', Status::NO)
        ->where('tempname', $activeTemplate)
        ->get();
?>

<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand logo" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('image'); ?>"></a>
            <div class="flex-align">
                <div class="d-lg-none d-block">
                    <div class="language flex-align">
                        <?php if($general->multi_language): ?>
                            <?php
                                $language = App\Models\Language::all();
                            ?>
                            <div class="language__icon flex-center"><span class="icon-world-1-1"></span></div>
                            <select class="select langSel">
                                <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($lang->code); ?>"><?php echo app('translator')->get($lang->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        <?php endif; ?>
                    </div>
                </div>
                <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span id="hiddenNav"><i class="las la-bars"></i></span>
                </button>
            </div>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu ms-auto align-items-lg-center">
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('home')); ?>" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                    </li>
                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(menuActive('pages', 1, ['slug', $item->slug])); ?>" href="<?php echo e(route('pages', ['slug' => $item->slug])); ?>"><?php echo e(__($item->name)); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('plans')); ?>" href="<?php echo e(route('plans')); ?>"><?php echo app('translator')->get('Plans'); ?></a>
                    </li>
                    <!--<li class="nav-item">-->
                    <!--    <a class="nav-link <?php echo e(menuActive('blog')); ?>" href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blogs'); ?></a>-->
                    <!--</li>-->
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('contact')); ?>" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                    </li>

                    <li class="header-right flex-align">
                        <div class="d-lg-block d-none">
                            <div class="language flex-align">
                                <?php if($general->multi_language): ?>
                                    <?php
                                        $language = App\Models\Language::all();
                                    ?>
                                    <div class="language__icon flex-center"><span class="icon-world-1-1"></span></div>
                                    <select class="select langSel">
                                        <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($lang->code); ?>"><?php echo app('translator')->get($lang->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="account-buttons flex-align">
                            <?php if(auth()->guard()->guest()): ?>
                                <?php if($general->registration): ?>
                                    <a href="<?php echo e(route('user.register')); ?>" class="btn btn-outline--base pill"> <span class="text--gradient"><?php echo app('translator')->get('Register'); ?></span> </a>
                                <?php endif; ?>
                                <a href="<?php echo e(route('user.login')); ?>" class="btn btn--base pill"><?php echo app('translator')->get('Login'); ?></a>
                            <?php else: ?>
                                <?php if(!request()->routeIs('user*') && !request()->routeIs('ticket*')): ?>
                                    <a href="<?php echo e(route('user.home')); ?>" class="btn btn-outline--base pill"> <span class="text--gradient"><?php echo app('translator')->get('Dashboard'); ?></span> </a>
                                <?php endif; ?>
                                <a href="<?php echo e(route('user.logout')); ?>" class="btn btn--base pill"><?php echo app('translator')->get('Logout'); ?></a>
                            <?php endif; ?>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
<?php /**PATH /home/alrafxew/djminerhosting.com/mining/core/resources/views/templates/gold/partials/header.blade.php ENDPATH**/ ?>